com.ihr.xbrl.om.formula.functions.custom

## Class XBRLCustomFunctionRecursiveFunctionCall

- java.lang.Object
- - net.sf.saxon.expr.Expression
  - - net.sf.saxon.expr.FunctionCall
    - - com.ihr.xbrl.om.formula.functions.custom.XBRLCustomFunctionRecursiveFunctionCall

- All Implemented Interfaces:
    java.io.Serializable, javax.xml.transform.SourceLocator, net.sf.saxon.event.LocationProvider, net.sf.saxon.event.SaxonLocator, net.sf.saxon.trace.InstructionInfo, org.xml.sax.Locator

      public class XBRLCustomFunctionRecursiveFunctionCall
      extends net.sf.saxon.expr.FunctionCall

  The Class XBRLCustomFunctionRecursiveFunctionCall.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.expr.Expression

      `EFFECTIVE_BOOLEAN_VALUE, EVALUATE_METHOD, EVENT_FEED_METHOD, ITEM_FEED_METHOD, ITERATE_METHOD, MAX_SEQUENCE_LENGTH, MAX_STRING_LENGTH, PROCESS_METHOD, PUSH_SELECTION, UNBOUNDED_LOWER, UNBOUNDED_UPPER, WATCH_METHOD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLCustomFunctionRecursiveFunctionCall(RecursiveFunctionCall other, net.sf.saxon.expr.FunctionCall parameterHolder)` Instantiates a new XBRL custom function recursive function call.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `adoptChildExpression(net.sf.saxon.expr.Expression child)`
    `net.sf.saxon.expr.Expression` | `copy()`
    `net.sf.saxon.om.Item<?>` | `evaluateItem(net.sf.saxon.expr.XPathContext context)`
    `net.sf.saxon.type.ItemType` | `getItemType(net.sf.saxon.type.TypeHierarchy th)`
    `net.sf.saxon.expr.FunctionCall` | `getParameterHolder()` Gets the parameter holder.
    `net.sf.saxon.expr.FunctionCall` | `getResolved()` Gets the resolved.
    `net.sf.saxon.om.SequenceIterator<? extends net.sf.saxon.om.Item>` | `iterate(net.sf.saxon.expr.XPathContext context)`
    `java.util.Iterator<net.sf.saxon.expr.Expression>` | `iterateSubExpressions()`
    `net.sf.saxon.expr.Expression` | `optimize(net.sf.saxon.expr.parser.ExpressionVisitor visitor, net.sf.saxon.expr.parser.ExpressionVisitor.ContextItemType contextItemType)`
    `net.sf.saxon.expr.Expression` | `simplify(net.sf.saxon.expr.parser.ExpressionVisitor visitor)`
    `java.lang.String` | `toString()`
    `net.sf.saxon.expr.Expression` | `typeCheck(net.sf.saxon.expr.parser.ExpressionVisitor visitor, net.sf.saxon.expr.parser.ExpressionVisitor.ContextItemType contextItemType)`

    - ### Methods inherited from class net.sf.saxon.expr.FunctionCall

      `addExternalFunctionCallToPathMap, equals, explain, getArguments, getDisplayName, getExpressionName, getFunctionName, getNumberOfArguments, hashCode, preEvaluate, promote, replaceSubExpression, setArguments, setFunctionName`

    - ### Methods inherited from class net.sf.saxon.expr.Expression

      `addToPathMap, checkForUpdatingSubexpressions, checkPermittedContents, computeDependencies, computeStaticProperties, doPromotion, effectiveBooleanValue, evaluateAsString, evaluatePendingUpdates, explain, getCardinality, getColumnNumber, getColumnNumber, getConstructType, getContainer, getDependencies, getEvaluationMethod, getExecutable, getHostLanguage, getImplementationMethod, getIntegerBounds, getIntrinsicDependencies, getLineNumber, getLineNumber, getLocationId, getLocationProvider, getObjectName, getProperties, getProperty, getPublicId, getSlotsUsed, getSpecialProperties, getSystemId, getSystemId, hasLoopingSubexpression, hasVariableBinding, implementsStaticTypeCheck, isSubtreeExpression, isUpdatingExpression, isVacuousExpression, iterateEvents, iterateSameFocusSubExpressions, markTailFunctionCalls, process, resetLocalStaticProperties, setContainer, setEvaluationMethod, setFiltered, setFlattened, setLocationId, staticTypeCheck, suppressValidation`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLCustomFunctionRecursiveFunctionCall

          public XBRLCustomFunctionRecursiveFunctionCall(RecursiveFunctionCall other,
                                                 net.sf.saxon.expr.FunctionCall parameterHolder)

      Instantiates a new XBRL custom function recursive function call.
      Parameters:
        `other` - the other
        `parameterHolder` - the parameter holder

  - ### Method Detail

    - #### getResolved

          public net.sf.saxon.expr.FunctionCall getResolved()

      Gets the resolved.
      Returns:
        the resolved

    - #### getParameterHolder

          public net.sf.saxon.expr.FunctionCall getParameterHolder()

      Gets the parameter holder.
      Returns:
        the parameter holder

    - #### getItemType

          public net.sf.saxon.type.ItemType getItemType(net.sf.saxon.type.TypeHierarchy th)

      Specified by:
        `getItemType` in class `net.sf.saxon.expr.Expression`

    - #### copy

          public net.sf.saxon.expr.Expression copy()

      Specified by:
        `copy` in class `net.sf.saxon.expr.Expression`

    - #### iterate

          public net.sf.saxon.om.SequenceIterator<? extends net.sf.saxon.om.Item> iterate(net.sf.saxon.expr.XPathContext context)
                                                                                   throws net.sf.saxon.trans.XPathException

      Overrides:
        `iterate` in class `net.sf.saxon.expr.Expression`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### evaluateItem

          public net.sf.saxon.om.Item<?> evaluateItem(net.sf.saxon.expr.XPathContext context)
                                               throws net.sf.saxon.trans.XPathException

      Overrides:
        `evaluateItem` in class `net.sf.saxon.expr.Expression`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### iterateSubExpressions

          public java.util.Iterator<net.sf.saxon.expr.Expression> iterateSubExpressions()

      Overrides:
        `iterateSubExpressions` in class `net.sf.saxon.expr.FunctionCall`

    - #### simplify

          public net.sf.saxon.expr.Expression simplify(net.sf.saxon.expr.parser.ExpressionVisitor visitor)
                                                throws net.sf.saxon.trans.XPathException

      Overrides:
        `simplify` in class `net.sf.saxon.expr.FunctionCall`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### typeCheck

          public net.sf.saxon.expr.Expression typeCheck(net.sf.saxon.expr.parser.ExpressionVisitor visitor,
                                               net.sf.saxon.expr.parser.ExpressionVisitor.ContextItemType contextItemType)
                                                 throws net.sf.saxon.trans.XPathException

      Overrides:
        `typeCheck` in class `net.sf.saxon.expr.FunctionCall`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### optimize

          public net.sf.saxon.expr.Expression optimize(net.sf.saxon.expr.parser.ExpressionVisitor visitor,
                                              net.sf.saxon.expr.parser.ExpressionVisitor.ContextItemType contextItemType)
                                                throws net.sf.saxon.trans.XPathException

      Overrides:
        `optimize` in class `net.sf.saxon.expr.FunctionCall`
      Throws:
        `net.sf.saxon.trans.XPathException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `net.sf.saxon.expr.FunctionCall`

    - #### adoptChildExpression

          public void adoptChildExpression(net.sf.saxon.expr.Expression child)

      Overrides:
        `adoptChildExpression` in class `net.sf.saxon.expr.Expression`